<?php
///////////////////////////////////////////////////////////////////////////////
//	
//	  This file is part of ZenCartToVirtueMart.
//
//    ZenCartToVirtueMart is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    ZenCartToVirtueMart is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with ZenCartToVirtueMart.  If not, see <http://www.gnu.org/licenses/>.
// 
//////////////////////////////////////////////////////////////////////////////

/**
 * Author: Marko Tomic
 * Date: 22/Apr/2010
 * marko@markomedia.com.au
 * www.markomedia.com.au
 * v1.0
 */

function getProducts() {
	$productCurrency = "USD";
	
	$mysqli = checkDBConn();
	
	$qry = "SELECT p.products_model as product_sku, ".
					"'' as product_parent_sku, " .
					"p.products_image as product_thumb_image, " .  
					"p.products_image as product_full_image, " . 
					"'' as product_availability, " . 
					"p.products_date_available as product_available_date, " .
					"p.products_price as product_price, " . 
					"'$productCurrency' as product_currency, ". 
					"'' as product_discount, " .
					"'' as product_discount_date_end, " .
					"'' as product_discount_date_start, " .
					"'' as product_packaging, " . 
					"'Y' as product_publish, " . 
					"'N' as product_special, " . 
					"'' as product_tax, " . 
					"'' as product_url, " .
					"pd.products_name as product_name, " .
					"pd.products_name as product_s_desc, " .
					"pd.products_description as product_desc, " .
					"ptc.categories_id, " .
					"'' as product_url " .
			"FROM products p " . 
			"INNER JOIN products_description pd ON (p.products_id = pd.products_id) " . 
			"INNER JOIN products_to_categories ptc ON (p.products_id = ptc.products_id) ";
	
	//echo($qry);
	$products = $mysqli->query($qry);
	
	return $products;
}

?>